Subject: RE: [Ietf-behave] Re: adding SCTP at behave milestone

From: Schruefer Wolfgang <[email-masked]>
Date: Fri, 25 Feb 2005 00:42:13 -0800 (PST)

Hi Qiaobing,

I fully agree ...
... but how to proceed? 
... would it help to set up seperate drafts for each step?

Best regards,
Wolfgang

> 
> Hi, Wolfgang,
> 
> Schruefer Wolfgang wrote:
> 
> > Qiaobing,
> > 
> > my point is to find the least common denominator in the 
> > discussion ... and I think that are the NAT requirements for 
> > single-homed associations.
> > 
> > A first step could be the NAT requirements for single-homed 
> > associations.
> > A second step could be the NAT requirements for multi-homed 
> > associations via a single-homed traversal.
> > A third step could be the NAT requirements for multi-homed 
> > associations via a multi-homed traversal.
> 
> This sounds to me a good plan.
> 
> > 
> > The first step should be easy to reach because it is almost 
> > like UDP/TCP. 
> > The first step by its own could help a lot, because all 
> > SCTP based protocols would be generally enabled to pass NATs. 
> > A single path is better than no path at all ... We should not 
> > delay this milestone by the multi-homing discussion.
> > 
> > As an example for a future usage look at the Sigtran 
> > protocol M2PA. It is designed to use SCTP. But M2PA is not 
> > reliant on multihoming, because its upper layer MTP3 does 
> > provide redundancy ...
> 
> Agreed.
> 
> > But for the second step I am afraid a lot of discussion is 
> > needed, even if there is at least one technical solution ... 
> > it is technically much more complicated than the first step 
> > ... and it should be seen in conjunctions with solutions for 
> > the third step ...
> 
> Yes, the 2nd step can certainly benefit from more discussion 
> and input from the group. But I am not sure we would want to 
> tie it with the 3rd step. In fact I see a stronger linkage 
> between the 2nd step and the 1st step. The 3rd step is hard 
> and I am not sure there will ever be a solution for it in the 
> foreseeable future.
> 
> The 2nd step has very good practical value (see the example 
> below) and we really should not deny it simply because we 
> don't know how to do the 3rd step.
> 
> ** Example of multi-homed associations via a single-point traversal:
> 
> A dentist has several machines in her office which run SCTP 
> over two redundant networks - 10.x.x.x and 196.x.x.x - since 
> for some reason the dentist needs non-interrupt protection 
> against network gear failures in her office.
> 
> The dentist also needs to connect to outside world and she 
> wants the same non-interrupt protection against ISP failures 
> as well. So she signs up with 2 ADSL services from two 
> different providers. Now the dentist gets an SCTP-enabled NAT 
> (which supports multi-homed associations via a single-point 
> traversal). The NAT comes with two interfaces going inside 
> and two interfaces for external. And the dentist connects the 
> two internal interfaces to the two local networks in her 
> office and the two external interfaces to the two ADSLs. Now 
> she can have multi-homed SCTP associations to the outside 
> world through a single-point NAT traversal.
> 
> In this example, even though the NAT is still a single point 
> of failure, the dentist gets a lot of redundancy, comparing 
> to only using single-homed SCTP assoc and one ADSL.
> 
> regards,
> -Qiaobing
> 
> > 
> > 
> > Best regards,
> > Wolfgang
> >  
> > 
>